import {Extension} from 'resource:///org/gnome/shell/extensions/extension.js';
import * as Main from 'resource:///org/gnome/shell/ui/main.js';

export default class SimpleTopbarTransparency extends Extension
{
	enable()
	{
		Main.panel.add_style_class_name('transparency');
	}

	disable()
	{
		Main.panel.remove_style_class_name('transparency');
	}
}

function init()
{
	return new Extension();
}
